{% import 'AppBundle:Macros:macros.html.twig' as this %}

<div>
    {% if is_granted('ROLE_ADMIN') %}
        <a href="#" actionUrl="{{ path('proposal_edit', { 'id': proposal.id }) }}" class="modal-form pull-right btn btn-primary  btn-xs" style="margin:5px 20px 0px 0px"><i class="fa fa-edit"></i>Modifier</a>
    {% endif %}
</div>

{% if proposal.votation %}
    <div>
        <h1>{{ proposal|raw }}</h1>
    </div>
    <div class="description">{{ proposal.description|raw }}</div>
{% else %}
    <div>
        <h1>{{ proposal|raw }}</h1><small>Créée le {{ proposal.createdAt|date('d/m/Y') }} - {{ proposal.status }}</small>
        {% if proposal.referedGroups|length > 0 %}
            {% for group in proposal.referedGroups %}
                <a href="{{ path('group_view', {id : group.id}) }}">
                    <span class="label label-{{ group.color ? : yellow }}">{{ group }}</span>
                </a>
            {% endfor %}

        {% endif %}
    </div>
<div class="description">{{ proposal.title|raw }}</div>
{% endif %}
{% if proposal.status == constant('AppBundle\\Entity\\Content\\Proposal::STATUS_CLOSED') %}
    <div class="description">Commentaire de clôture : {{ proposal.closedReason }}</div>
{% else %}
    <span class="pull-right" style="margin-right:25px">
        <a href="#" actionUrl="{{ path('proposal_comment', {'id' : proposal.id}) }}"
           class="modal-form pull-right white btn-xs"><i class="fa fa-edit"></i> Commenter</a>
    </span>
    <span class="pull-right badge">{{ proposal.NComments }} commentaires</span>
{% endif %}

